extends MeshInstance3D

var trail_length = 2.0
var speed = 10.0

func _process(delta):
	global_transform.origin += transform.basis.z * speed * delta
	scale.x = max(scale.x - delta, 100)
	scale.y = max(scale.y - delta, 100)
	scale.z = max(scale.z - delta, 100)
